%
% Setup Document, Page, Font, Language
%

\documentclass[a4paper,12pt]{article}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}

\usepackage[english]{babel} % If you write in English

\renewcommand{\familydefault}{\sfdefault} % use sans serif font for whole document
\usepackage{a4wide}

%
% Setup Page Header, Footer
%

\renewcommand{\baselinestretch}{1.05}
\usepackage{fancyhdr}
\pagestyle{fancy}
\fancyfoot{}
\fancyhead[LE,RO]{\bfseries\thepage}
\fancyhead[RE]{\bfseries\nouppercase{\leftmark}}
\fancyhead[LO]{\bfseries\nouppercase{\rightmark}}
\setlength{\headheight}{15pt}

\fancypagestyle{plain}{
  \fancyhead{}
  \fancyfoot[C]{\thepage}
  \renewcommand{\headrulewidth}{0pt}
}


%
% Setup Backmatter: Bibliography, Appendix
%

\usepackage[                    % adapted template: use biber
backend=biber,                  % biber or biblatex
autolang=hyphen,                % Separating hyphens acc.
                                % to babel-set language
style=alphabetic,               % Ref-style similar to
                                % alpha.bst: XXX00
citestyle=alphabetic,           % multiple titles of one
                                % author cited like XXX00a,
                                % XXX00b, ...
giveninits=false                % surnames do not get
                                % abbreviated
]{biblatex}
\addbibresource{../common/bibliography.bib} %Imports bibliography file

%
% Setup Backmatter: Appendix
%

\usepackage{appendix}           %use like:
                                %\begin{appendices}
                                %\chapter{simeAppix}
                                %...
                                %\end{appendices}
% \usepackage[toc,page]{appendix} % with title page with toc


%
% Setup Graphics, Figures
%

\usepackage{graphicx}
\graphicspath{{../fig/}{../img/}} % \includegraphics{a.png} instead {../img/a.png}

\usepackage{float}              % force figure placement with \begin{figure}[H]

\usepackage{tikz}
\usetikzlibrary{shapes,arrows}
\usepackage{pgfplots}
\pgfplotsset{compat=newest}
\pgfplotsset{plot coordinates/math parser=false}
\newlength\figureheight
\newlength\figurewidth
\pgfkeys{/pgf/number format/.cd,
  set decimal separator={,\!},
  1000 sep={\,},
}

\usepackage{color}
\usepackage{colortbl}

\usepackage{caption}
\usepackage{subcaption}         % for \begin{subfigure}
                                % (do not use package subfig in this case!)
\usepackage{wrapfig}            % for \begin{wrapfigure}


%
% Setup References
%

\usepackage{ifthen}
\usepackage{ifpdf}
\ifpdf
\usepackage[pdftex]{hyperref}
\else
\usepackage{hyperref}
\fi
\usepackage{color}
\hypersetup{
  colorlinks,
  linkcolor={red!50!black},
  citecolor={blue!50!black},
  urlcolor={blue!80!black}
}
\usepackage{varioref}           % for \vref


%
% Setup Listings (Code etc.)
%
% Note: relies on config file listings.cfg,
% either in the folder of the compiled tex file, or installed in your tex distro
%

\usepackage{listings}           % for visualizing sourcecode file inserts

\lstset{rangeprefix=/*\ ,
	rangesuffix=\ */,
	includerangemarker=false,
  basicstyle=\small}

%% Usage examples:
%% \lstinputlisting[language=java,style=code,linerange=525-537]{listings/File.java}
%%
%% \lstinputlisting[
%% language=python,
%% style=code,
%% linerange=1-4,
%% captionpos=t,
%% caption={That.},
%% label=lst-that
%% ]{../dummy.py}


%
% Setup: Math, Algorithms
%

\usepackage{amsmath}
\usepackage{amsthm}
\usepackage{amsfonts}


%
% Setup: Quotations (e.g. Homework Tasks)
%

% ==== Quotation Boxes ==========================================================
% Source: http://www.jevon.org/wiki/Fancy_Quotation_Boxes_in_Latex
% for adjustwidth environment
\usepackage[strict]{changepage}

% for formal definitions
\usepackage{framed}

% environment derived from framed.sty: see leftbar environment definition
\definecolor{formalshade}{rgb}{0.95,0.95,1}
\definecolor{darkblue}{rgb}{0.0, 0.0, 0.55}

\newenvironment{formal}{%
  \def\FrameCommand{%
    \hspace{1pt}%
    {\color{darkblue}\vrule width 2pt}%
    {\color{formalshade}\vrule width 4pt}%
    \colorbox{formalshade}%
  }%
  \MakeFramed{\advance\hsize-\width\FrameRestore}%
  \noindent\hspace{-4.55pt}% disable indenting first paragraph
  \begin{adjustwidth}{}{7pt}%
  \vspace{2pt}\vspace{2pt}%
}
{%
  \vspace{2pt}\end{adjustwidth}\endMakeFramed%
}




%
% Setup: Miscellaneous
%

\usepackage{url}                % for \path{/my/path} better than \texttt{}
                                % cause does line breaks
\usepackage{extramarks}         % needed for defining commands


%%% Local Variables:
%%% mode: latex
%%% TeX-master: "common"
%%% End:
